Bug 1144244 - Drop jasper dependency from gstreamer-plugins-bad
Drop jasper dependency from gstreamer-plugins-bad
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michael Vetter
E-mail List
:
Depends on:
Blocks: 1130404
  Show dependency treegraph
 
Reported: 2019-08-05 09:17 UTC by Michael Vetter
Modified: 2019-09-02 10:57 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Vetter 2019-08-05 09:17:41 UTC
Regarding bsc#1130404.

We plan to drop libjasper from the repos.
Let's remove the build dependcy on libjasper from gstreamer-plugins-bad and thus disable JPEG2000 support.
Comment 1 Michael Vetter 2019-08-26 09:22:46 UTC
Upstream issue: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/issues/1062

SR#726120
Comment 2 Michael Vetter 2019-08-26 09:42:45 UTC
Jasper isn't actually used in this package. In 2013 the project switched to OpenJPEG already.

SR#726125
Comment 3 Michael Vetter 2019-09-02 10:57:31 UTC
SR#726235 accepted.